Skip to navigation

ControlSms

View as Markdown

Enables or disables sending and receiving SMS for the phone number. Can be used only for phone numbers with SMS support, which is indicated by the is_sms_supported property in the objects returned by the [GetPhoneNumbers] Management API. Each incoming SMS message is charged according to the pricing. If enabled, SMS can be sent from this phone number via the [SendSmsMessage] Management API and received via the [InboundSmsCallback] property of the HTTP callback. See this article for HTTP callback details.

Allowed roles: Owner, Admin, Developer, Accountant.

Example request: Enable work with SMS for phone number 447443332211.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

phone_numberstringRequired
The phone number
commandstringRequired

The SMS control command. The following values are possible: enable, disable

Response

Successful response
resultintegerOptional